AutoCAD 2007/2008/2009

Reply
Active Member
Josh_Limas
Posts: 9
Registered: ‎08-18-2010
Message 1 of 8 (503 Views)

FILLET LISP

503 Views, 7 Replies
08-18-2010 07:07 AM

Hi there, 

Way back  Autocad 2000, I created a shortcut by just typing FRD it will do fillet command with specified radius. I was able to use this to different version of autocad up to 2007 with no problem. But for some reason I can’t make it work in 2008. Can somebody please help me fix it.

(defun c:FRD (/)
(setvar "cmdecho" 1)
(command "FILLET" "R" pause "fillet")
(princ)
)

Thanks in advance

Distinguished Mentor
lpseifert
Posts: 889
Registered: ‎08-08-2006
Message 2 of 8 (478 Views)

Re: FILLET LISP

08-18-2010 08:44 AM in reply to: Josh_Limas

 

(defun c:FRD ()(command "FILLET" "R"))

 

 

~~~Civil 3D 2008~~~
Active Member
Josh_Limas
Posts: 9
Registered: ‎08-18-2010
Message 3 of 8 (449 Views)

Re: FILLET LISP

08-18-2010 10:34 AM in reply to: lpseifert

I tried but still didn't work.  Here's the message I'm getting; Command: frd Unknown command "FILLET"

 

Thanks for your time.

Distinguished Mentor
lpseifert
Posts: 889
Registered: ‎08-08-2006
Message 4 of 8 (443 Views)

Re: FILLET LISP

08-18-2010 11:50 AM in reply to: Josh_Limas

what happens when you enter the command FILLET at the command line?

~~~Civil 3D 2008~~~
Active Member
Josh_Limas
Posts: 9
Registered: ‎08-18-2010
Message 5 of 8 (441 Views)

Re: FILLET LISP

08-18-2010 11:54 AM in reply to: lpseifert

it will return to command prompt.  see below.

 

Command: frd FILLET Unknown command "FILLET".  Press F1 for help.

Command: R Unknown command "R".  Press F1 for help.

Command:

Valued Mentor
Randy_Culp
Posts: 1,257
Registered: ‎08-17-2007
Message 6 of 8 (432 Views)

Re: FILLET LISP

08-18-2010 01:56 PM in reply to: Josh_Limas
enter a period before FILLET
Active Member
Josh_Limas
Posts: 9
Registered: ‎08-18-2010
Message 7 of 8 (415 Views)

Re: FILLET LISP

08-19-2010 04:49 AM in reply to: Randy_Culp

it finally worked.  thanks.

Valued Contributor
KeithHoward6391
Posts: 51
Registered: ‎05-12-2000
Message 8 of 8 (407 Views)

Re: FILLET LISP

08-19-2010 07:00 AM in reply to: Josh_Limas

Josh,

 

Here is one I use. I give the defun a different name for each size fillet I want to create. I wrote this a long time ago in a lisp class that is why all the prompt stuff, feel free to strip all that out.

 

(defun c:f2    (/ rad rad1)
 (setq rad (getvar "filletrad"))
 (prompt"\nThe current Fillet radius is<")(princ rad)(prompt ">:")(princ)
 (prompt"\nThe Fllet radius is being set to 0")(princ)
 (command "fillet" "radius" 0.002)
 (command "fillet")(princ)

 

Keith

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community




Connect with AutoCAD

Twitter

Facebook

Blogs

Pinterest

Youtube